AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
AudioMiniMax Audio

Voice cloning

Create a cloned voice from an uploaded audio sample and optionally generate preview audio.

Use the file_id returned by the upload endpoint to create a custom voice. If you provide preview text and a model, the API also returns preview audio.

POST/v1/minimax/voice_clone

Create a custom voice with the file_id returned by the upload API. When you provide text, you must also provide model, and the API generates preview audio with the cloned voice.

Cloning the voice incurs the fixed cloning charge. When preview audio is also generated, its synthesis charge is calculated from extra_info.usage_characters.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization header.

In: header

Request Body

application/json

MiniMax voice-cloning request.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json